Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.x509
Class X509Store

    java.lang.Object
      org.bouncycastle.x509.X509Store

All Implemented Interfaces:
  Store

    public class X509Store

extends java.lang.Object
implements Store

Method Summary
`static X509Store` `getInstance(java.lang.String type, X509StoreParameters parameters)`
`static X509Store` `getInstance(java.lang.String type, X509StoreParameters parameters, java.security.Provider provider)`
`static X509Store` `getInstance(java.lang.String type, X509StoreParameters parameters, java.lang.String provider)`
`java.util.Collection` `getMatches(Selector selector)`
`java.security.Provider` `getProvider()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static X509Store getInstance(java.lang.String type,
                                        X509StoreParameters parameters)
                                 throws NoSuchStoreException

  Throws:
    `NoSuchStoreException`

### getInstance

    public static X509Store getInstance(java.lang.String type,
                                        X509StoreParameters parameters,
                                        java.lang.String provider)
                                 throws NoSuchStoreException,
                                        java.security.NoSuchProviderException

  Throws:
    `NoSuchStoreException`
    `java.security.NoSuchProviderException`

### getInstance

    public static X509Store getInstance(java.lang.String type,
                                        X509StoreParameters parameters,
                                        java.security.Provider provider)
                                 throws NoSuchStoreException

  Throws:
    `NoSuchStoreException`

### getProvider

    public java.security.Provider getProvider()

### getMatches

    public java.util.Collection getMatches(Selector selector)

  Specified by:
    `getMatches` in interface `Store`

Bouncy Castle Cryptography Library 1.45